INSTALLPKG(8)

NAME
installpkg - install Slackware packages.

SYNOPSIS
installpkg [ --warn ] [ --md5sum ] [ --root /otherroot ] [ --infobox ] [ --menu ] [ --terse ] [ --ask ] [ --priority ADD|REC|OPT|SKP ] [ --tagfile /somedir/tagfile ] packagename [ packagename2 ... ]

DESCRIPTION
installpkg installs single or multiple *.tgz (or .tbz, .tlz, .txz) binary packages designed for use with the Slackware Linux distribution onto your system.

OPTIONS

--warn packagename
    Generate a list of files that would be overwritten to the standard output, but do not actually install the package. The list is formatted in a suitable fashion to use as a list of files to backup.

--md5sum packagename
    Record the package md5sum in the metadata written in /var/log/packages.

--root /otherroot
    Install using a location other than / (the default) as the root of the filesystem to install on. In the example given, use /otherroot instead. Setting the ROOT environment variable does the same thing.

--infobox
    Use /bin/dialog to display an informational dialog as the package is installed. Primarily used when installpkg is called from other scripts.

--menu
    Use /bin/dialog to display a menu asking the user if they would like to install the package(s) or not. Generally used when installpkg is called from other scripts.

--terse
    Install the package displaying only a single description line to stdout.

--ask
    Used with -menu mode. When selected, always ask if a package should be installed regardless of what the package's priority is.

--priority ADD|REC|OPT|SKP
    When installing with the -menu option, package priority levels (found in the file "tagfile" in the package directory) are used to automatically install (ADD) or skip (SKP) a package, or to suggest recommended (REC) or optional (OPT) to the user if a menu is displayed. If a priority is set on the command line, it will override the values set in the tagfile for the entire package list.

--tagfile /somedir/tagfile
    Specify a different file to use for package priorities (in this example, /somedir/tagfile will be used). The default is "tagfile" in the package's directory.

EXAMPLES

Install a font package for X:

installpkg font-bh-ttf-1.0.3-noarch-1.txz

Note that if a package is already installed, upgradepkg(8) should be used instead.

Create a backup of the files that would be overwritten if the package is installed:

tar czvf /tmp/backup.tar.gz \
  $(installpkg --warn font-bh-ttf-1.0.3-noarch-1.txz)

AUTHOR
Patrick J. Volkerding <volkerdi@slackware.com>

SEE ALSO
makepkg(8), removepkg(8), explodepkg(8), pkgtool(8), upgradepkg(8)